%define majver %(echo %version | cut -d. -f1-2)

Name:          kservice
Version:       5.55.0
Release:       1mamba
Summary:       Plugin framework for desktop services
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.kde.org
Source:        http://download.kde.org/stable/frameworks/%{majver}/kservice-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: kconfig-devel
BuildRequires: libgcc
BuildRequires: libkcoreaddons-devel
BuildRequires: libkcrash-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libki18n-devel
BuildRequires: libqt5-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: extra-cmake-modules
BuildRequires: rpm-macros-kde5
BuildRequires: libQt5Core
BuildRequires: libQt5DBus
BuildRequires: libQt5Xml
BuildRequires: libkconfig-devel
BuildRequires: libkcoreaddons-devel
BuildRequires: libkdbusaddons-devel
BuildRequires: libki18n-devel
BuildRequires: kdoctools-devel
BuildRequires: gettext
BuildRequires: python
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
KService provides a plugin framework for handling desktop services.
Services can be applications or libraries.
They can be bound to MIME types or handled by application specific code.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q

%build
%cmake_kde5 -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

mv %{buildroot}%{_sysconfdir}/xdg/menus/applications.menu \
   %{buildroot}%{_sysconfdir}/xdg/menus/applications-kf5.menu

%find_lang %{name}5_qt --with-qt --all-name --with-man || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/kservice.categories
%{_kde5_bindir}/kbuildsycoca5
%{_kde5_datadir}/kservicetypes5/*.desktop
%{_sysconfdir}/xdg/menus/applications-kf5.menu
%{_mandir}/man8/desktoptojson.8*
%{_mandir}/man8/kbuildsycoca5.8*
%doc COPYING

%files -n lib%{name}
%defattr(-,root,root)
%{_kde5_libdir}/libKF5Service.so.*
%doc COPYING.LIB

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_kde5_includedir}/KService
%{_kde5_includedir}/kservice_version.h
%{_kde5_libdir}/cmake/KF5Service
%{_kde5_libdir}/libKF5Service.so
%{_kde5_mkspecsdir}/qt_KService.pri
%doc README.md

%changelog
* Sat Feb 16 2019 Automatic Build System <autodist@mambasoft.it> 5.55.0-1mamba
- automatic version update by autodist

* Sat Jan 19 2019 Automatic Build System <autodist@mambasoft.it> 5.54.0-1mamba
- automatic version update by autodist

* Sun Dec 16 2018 Automatic Build System <autodist@mambasoft.it> 5.53.0-1mamba
- automatic version update by autodist

* Sun Nov 18 2018 Automatic Build System <autodist@mambasoft.it> 5.52.0-1mamba
- automatic version update by autodist

* Sun Oct 21 2018 Automatic Build System <autodist@mambasoft.it> 5.51.0-1mamba
- automatic version update by autodist

* Mon Sep 10 2018 Automatic Build System <autodist@mambasoft.it> 5.50.0-1mamba
- automatic version update by autodist

* Tue Aug 21 2018 Automatic Build System <autodist@mambasoft.it> 5.49.0-1mamba
- automatic version update by autodist

* Mon Jul 16 2018 Automatic Build System <autodist@mambasoft.it> 5.48.0-1mamba
- automatic version update by autodist

* Sun Jun 17 2018 Automatic Build System <autodist@mambasoft.it> 5.47.0-1mamba
- automatic version update by autodist

* Wed May 16 2018 Automatic Build System <autodist@mambasoft.it> 5.46.0-1mamba
- automatic version update by autodist

* Tue Apr 17 2018 Automatic Build System <autodist@mambasoft.it> 5.45.0-1mamba
- automatic version update by autodist

* Fri Mar 16 2018 Automatic Build System <autodist@mambasoft.it> 5.44.0-1mamba
- automatic version update by autodist

* Wed Feb 28 2018 Automatic Build System <autodist@mambasoft.it> 5.43.0-1mamba
- automatic version update by autodist

* Sat Jan 20 2018 Automatic Build System <autodist@mambasoft.it> 5.42.0-1mamba
- automatic version update by autodist

* Sun Dec 24 2017 Automatic Build System <autodist@mambasoft.it> 5.41.0-1mamba
- automatic version update by autodist

* Tue Nov 14 2017 Automatic Build System <autodist@mambasoft.it> 5.40.0-1mamba
- automatic version update by autodist

* Thu Nov 02 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 5.39.0-2mamba
- libkservice: require kservice

* Mon Oct 23 2017 Automatic Build System <autodist@mambasoft.it> 5.39.0-1mamba
- automatic version update by autodist

* Tue Sep 12 2017 Automatic Build System <autodist@mambasoft.it> 5.38.0-1mamba
- automatic version update by autodist

* Tue Aug 22 2017 Automatic Build System <autodist@mambasoft.it> 5.37.0-1mamba
- automatic version update by autodist

* Sun Aug 06 2017 Automatic Build System <autodist@mambasoft.it> 5.36.0-1mamba
- automatic version update by autodist

* Mon Jul 03 2017 Automatic Build System <autodist@mambasoft.it> 5.35.0-1mamba
- automatic version update by autodist

* Thu Mar 16 2017 Automatic Build System <autodist@mambasoft.it> 5.32.0-1mamba
- automatic version update by autodist

* Mon Mar 06 2017 Automatic Build System <autodist@mambasoft.it> 5.31.0-1mamba
- automatic version update by autodist

* Tue Jan 24 2017 Automatic Build System <autodist@mambasoft.it> 5.30.0-1mamba
- automatic version update by autodist

* Mon Dec 19 2016 Automatic Build System <autodist@mambasoft.it> 5.29.0-1mamba
- automatic version update by autodist

* Fri Oct 14 2016 Automatic Build System <autodist@mambasoft.it> 5.27.0-1mamba
- automatic version update by autodist

* Sun Sep 25 2016 Automatic Build System <autodist@mambasoft.it> 5.26.0-1mamba
- automatic version update by autodist

* Mon Aug 22 2016 Automatic Build System <autodist@mambasoft.it> 5.25.0-1mamba
- automatic version update by autodist

* Tue Jul 19 2016 Automatic Build System <autodist@mambasoft.it> 5.24.0-1mamba
- automatic version update by autodist

* Sat Jun 25 2016 Automatic Build System <autodist@mambasoft.it> 5.23.0-1mamba
- automatic version update by autodist

* Tue May 24 2016 Automatic Build System <autodist@mambasoft.it> 5.22.0-1mamba
- automatic version update by autodist

* Mon Apr 18 2016 Automatic Build System <autodist@mambasoft.it> 5.21.0-1mamba
- automatic version update by autodist

* Wed Mar 30 2016 Automatic Build System <autodist@mambasoft.it> 5.20.0-1mamba
- automatic version update by autodist

* Sun Feb 21 2016 Automatic Build System <autodist@mambasoft.it> 5.19.0-1mamba
- automatic version update by autodist

* Fri Jan 15 2016 Automatic Build System <autodist@mambasoft.it> 5.18.0-1mamba
- automatic version update by autodist

* Thu Dec 17 2015 Automatic Build System <autodist@mambasoft.it> 5.17.0-1mamba
- automatic version update by autodist

* Wed Nov 25 2015 Automatic Build System <autodist@mambasoft.it> 5.16.0-1mamba
- automatic version update by autodist

* Sun Oct 25 2015 Automatic Build System <autodist@mambasoft.it> 5.15.0-1mamba
- automatic version update by autodist

* Sat Sep 26 2015 Automatic Build System <autodist@mambasoft.it> 5.14.3-1mamba
- automatic version update by autodist

* Tue Sep 08 2015 Automatic Build System <autodist@mambasoft.it> 5.13.0-1mamba
- automatic version update by autodist

* Sun Aug 02 2015 Automatic Build System <autodist@mambasoft.it> 5.12.0-1mamba
- automatic version update by autodist

* Wed Jun 24 2015 Automatic Build System <autodist@mambasoft.it> 5.11.0-1mamba
- automatic version update by autodist

* Tue May 12 2015 Automatic Build System <autodist@mambasoft.it> 5.10.0-1mamba
- automatic version update by autodist

* Wed Apr 29 2015 Davide Madrisan <davide.madrisan@gmail.com> 5.9.0-2mamba
- standardize the specfile add some missing build requirements

* Wed Apr 15 2015 Automatic Build System <autodist@mambasoft.it> 5.9.0-1mamba
- automatic version update by autodist

* Sun Mar 22 2015 Automatic Build System <autodist@mambasoft.it> 5.8.0-1mamba
- automatic version update by autodist

* Tue Mar 03 2015 Automatic Build System <autodist@mambasoft.it> 5.7.0-1mamba
- automatic version update by autodist

* Sat Feb 14 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 5.6.0-1mamba
- package created using the webbuild interface
